Subject: [Dtls-iot] draft-ietf-tls-cached-info-18.txt

From: "Hannes Tschofenig" <[email-masked]>
Date: Mon, 9 Mar 2015 00:59:48 +0100

Hi all,

I have submitted an updated version of the TLS Cached Info document. The spec defines an extension that allows large (mostly static) information to be omitted, such as the server-provided certificate chain. This obviously saves a lot of bandwidth, which can be seen from example in the appendix.

End of January I asked for feedback regarding caching of client-provided certificates, see http://www.ietf.org/mail-archive/web/dtls-iot/current/msg00550.html, I have not introduced this feature (yet).

I am planning to raise it to the attention to the TLS working group at the interim meeting.

Please have a look at the document; I believe it provides great performance improvements for TLS and those should be of interest to folks in this group. Here is the spec:

https://tools.ietf.org/html/draft-ietf-tls-cached-info-18

Ciao

Hannes